Kerbal Space Program - Bug #25715

Grabbing Unit/Claw and asteroid with unlocked pivot and piston stabilized mini-claws causes crash

07/06/2020 03:16 AM - Technophant

Status: Confirmed Start date: 07/06/2020
Severity: Low % Done: 10%
Assignee:
Category: Parts
Target version:
Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Docked with this asteroid, pressed gear which toggles the pistons and arm/disarm mini-claws and this weirdness happened. Second

time it caused a crash.

Gear action group toggles arming claws and piston extension.
21:22:16 in log

[[https://youtu.be/1lcuZ2Y-32Y ?t=152]]

This is a new design so I'm going to need to tweak things.

History

#1 - 07/06/2020 03:20 AM - Technophant
Find and fly Asteroid Miner 2, orbiting sun MET 41day.

Only mod is EVE.
#2 - 07/08/2020 05:26 PM - victorr

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Files

KSP.log 2.52 MB 07/06/2020 Technophant
persistent.zip 486 KB 07/06/2020 Technophant
Asteroid Miner 2.craft 370 KB 07/06/2020 Technophant
